<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>Home - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="EnumType.html">EnumType</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="EnumType.html#getInterpolatedValue">getInterpolatedValue</a></li></ul></li><li><a href="ListType.html">ListType</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ListType.html#cost">cost</a></li></ul></li><li><a href="MidiType.html">MidiType</a><ul class='members'></ul></li><li><a href="ModalType.html">ModalType</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ModalType.html#getPi">getPi</a></li><li data-type='method' style='display: none;'><a href="ModalType.html#getNu">getNu</a></li><li data-type='method' style='display: none;'><a href="ModalType.html#getTau">getTau</a></li><li data-type='method' style='display: none;'><a href="ModalType.html#getRho">getRho</a></li><li data-type='method' style='display: none;'><a href="ModalType.html#getOp">getOp</a></li></ul></li><li><a href="NumericType.html">NumericType</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="NumericType.html#getNormalized">getNormalized</a></li></ul></li><li><a href="QLearner.html">QLearner</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="QLearner.html#getParameters">getParameters</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#setParameters">setParameters</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#getQtable">getQtable</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#doAction">doAction</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#doNext">doNext</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#doPath">doPath</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#.newQLearner">newQLearner</a></li></ul></li><li><a href="RecordType.html">RecordType</a><ul class='members'></ul></li><li><a href="ScalarField.html">ScalarField</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ScalarField.html#getParameters">getParameters</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#setParameters">setParameters</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#set">set</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#erase">erase</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#clear">clear</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#add">add</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#load">load</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#save">save</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getValues">getValues</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#has">has</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#get">get</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getValue">getValue</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getExtrapolations">getExtrapolations</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getBarycenter">getBarycenter</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getDiameter">getDiameter</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getDistance">getDistance</a></li></ul></li><li><a href="SetType.html">SetType</a><ul class='members'></ul></li><li><a href="StringType.html">StringType</a><ul class='members'></ul></li><li><a href="SvgType.html">SvgType</a><ul class='members'></ul></li><li><a href="Trajectory.html">Trajectory</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Trajectory.html#getParameters">getParameters</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#setParameters">setParameters</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#addPoint">addPoint</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#addRegion">addRegion</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#add">add</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#getNext">getNext</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#isDone">isDone</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#getPath">getPath</a></li></ul></li><li><a href="Type.html">Type</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Type.html#getValue">getValue</a></li><li data-type='method' style='display: none;'><a href="Type.html#getParameters">getParameters</a></li><li data-type='method' style='display: none;'><a href="Type.html#getValue">getValue</a></li><li data-type='method' style='display: none;'><a href="Type.html#getCheckMessage">getCheckMessage</a></li><li data-type='method' style='display: none;'><a href="Type.html#getDistance">getDistance</a></li><li data-type='method' style='display: none;'><a href="Type.html#getPath">getPath</a></li><li data-type='method' style='display: none;'><a href="Type.html#compare">compare</a></li><li data-type='method' style='display: none;'><a href="Type.html#getBound">getBound</a></li><li data-type='method' style='display: none;'><a href="Type.html#getBounds">getBounds</a></li><li data-type='method' style='display: none;'><a href="Type.html#.getType">getType</a></li><li data-type='method' style='display: none;'><a href="Type.html#.getTypeNames">getTypeNames</a></li><li data-type='method' style='display: none;'><a href="Type.html#.getTypeParameters">getTypeParameters</a></li><li data-type='method' style='display: none;'><a href="Type.html#.addType">addType</a></li></ul></li></ul><h3>Global</h3><ul><li><a href="global.html#json2midi">json2midi</a></li><li><a href="global.html#json2svg">json2svg</a></li><li><a href="global.html#midi2Jon">midi2Jon</a></li><li><a href="global.html#svg2json">svg2json</a></li></ul>
    
</nav>

<div id="main">
    

    



    


    <section class="package">
        <h3> </h3>		
    </section>









    



    <section class="readme usertext">
        <article><h1>symboling</h1>
<p>(Deprecated) Symbolic data structure numeric grounding</p>
<div style='float:right;margin-left:20px'><a target=_blank' href='https://line.gitlabpages.inria.fr/aide-group/aide/index.html'><img alt='AIDE API docs' src='https://line.gitlabpages.inria.fr/aide-group/aide/img/icons8-api-aide.png'/></a></div>
<p>This is a deprecated preliminary implementation, use <a href="https://line.gitlabpages.inria.fr/aide-group/symbolingtype">symbolingtype</a>, <a href="https://line.gitlabpages.inria.fr/aide-group/symbolingfield">symbolingfield</a>, and <a href="https://line.gitlabpages.inria.fr/aide-group/symbolingembedding">symbolingembedding</a>, instead.</p>
<center><iframe style='width: 100%; height: calc(55vw);' src='./symboling.pdf'></iframe></center><a href='./symboling.pdf' target='_blank'>&nbsp;&nbsp;(open in new tab)</a>
<p><a name='what'></a></p>
<h2>Package repository</h2>
<ul>
<li>Package files: <a target='_blank' href='https://gitlab.inria.fr/line/aide-group/symboling'>https://gitlab.inria.fr/line/aide-group/symboling</a></li>
<li>Package documentation: <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/symboling'>https://line.gitlabpages.inria.fr/aide-group/symboling</a></li>
<li>Source files: <a target='_blank' href='https://gitlab.inria.fr/line/aide-group/symboling/-/tree/master/src'>https://gitlab.inria.fr/line/aide-group/symboling/-/tree/master/src</a></li>
<li>Saved on <a target='_blank' href='https://archive.softwareheritage.org/browse/origin/directory/?origin_url=https://gitlab.inria.fr/line/aide-group/symboling'>softwareherirage.org</a></li>
<li>Version <code>0.9.0</code></li>
<li>License <code>CECILL-C</code></li>
</ul>
<h2>Installation</h2>
<h3>User simple installation</h3>
<ul>
<li><code>npm install git+https://gitlab.inria.fr/line/aide-group/symboling.git</code></li>
</ul>
<h3>Co-developper installation</h3>
<ul>
<li>See the <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/aidebuild/install.html#.install_as_developer'>related documentation</a></li>
</ul>
<p>Please refer to the <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/aidebuild/install.html'>installation guide</a> for installation.</p>
<p><a name='how'></a></p>
<h2>Usage</h2>
<p>This is a deprecated preliminary implementation, use <a href="https://line.gitlabpages.inria.fr/aide-group/symbolingtype">symbolingtype</a>, <a href="https://line.gitlabpages.inria.fr/aide-group/symbolingfield">symbolingfield</a>, and <a href="https://line.gitlabpages.inria.fr/aide-group/symbolingembedding">symbolingembedding</a>, instead.</p>
<h3>npm script usage</h3>
<pre class="prettyprint source"><code>npm install --quiet : installs all package dependencies and sources.
npm run build: builds the different compiled, documentation and test files.
npm test     : runs functional and non-regression tests.
npm run clean: cleans installation files.
</code></pre>
<p><a name='dep'></a></p>
<h2>Dependencies</h2>
<ul>
<li><tt>@tonejs/midi: <a target='_blank' href='https://tonejs.github.com/Midi/'>Convert binary midi into JSON</a></tt></li>
<li><tt>aidesys: <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/aidesys'>Basic system C/C++ interface routines to ease multi-language middleware integration</a></tt></li>
<li><tt>npm: <a target='_blank' href='https://docs.npmjs.com/'>a package manager for JavaScript</a></tt></li>
<li><tt>stepsolver: <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/stepsolver'>A step by step variational solver mechanism</a></tt></li>
<li><tt>svg-json-parser: <a target='_blank' href='https://www.npmjs.com/package/svg-json-parser'>converting SVG Elements to JSON Object</a></tt></li>
<li><tt>wjson: <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/wjson'>Implements a JavaScript JSON weak-syntax reader and writer</a></tt></li>
</ul>
<h2>devDependencies</h2>
<ul>
<li><tt>aidebuild: <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/aidebuild'>Builds multi-language compilation packages and related documentation.</a></tt></li>
</ul>
<p><a name='who'></a></p>
<h2>Authors</h2>
<ul>
<li>Paul Bernard  <big><a target='_blank' href='mailto:pbernard007@ensc.fr'>🖂</a></big>  <big><a target='_blank' href='https://www.linkedin.com/in/paul-bernard-3a56b2201'>🗏</a></big></li>
<li>Benjamin Haté  <big><a target='_blank' href='mailto:bhate@ensc.fr'>🖂</a></big>  <big><a target='_blank' href='https://www.linkedin.com/in/benjamin-hat%C3%A9-27b754202'>🗏</a></big></li>
<li>Thierry Viéville  <big><a target='_blank' href='mailto:thierry.vieville@inria.fr'>🖂</a></big>  <big><a target='_blank' href='https://www-sop.inria.fr/members/Thierry.Vieville'>🗏</a></big></li>
</ul></article>
    </section>






    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2024-03-05 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>